Page MenuHomePhabricator

[ARM][MVE] Decoding of uqrshl and sqrshl accepts unpredictable encodings
ClosedPublic

Authored by MarkMurrayARM on Aug 29 2019, 5:40 AM.

Details

Summary

Specify the Unpredictable bits, and return softfails when appropriate.

Change-Id: I6831ed815f8e0e386925f1129bc45ffd7ec334b9

Diff Detail

Repository
rL LLVM

Event Timeline

MarkMurrayARM created this revision.Aug 29 2019, 5:40 AM
ostannard requested changes to this revision.Sep 3 2019, 1:51 AM
ostannard added a subscriber: ostannard.
ostannard added inline comments.
lib/Target/ARM/Disassembler/ARMDisassembler.cpp
6490 ↗(On Diff #217849)

This case needs a test.

This revision now requires changes to proceed.Sep 3 2019, 1:51 AM

Address review comments from ostannard; add extra test cases.

MarkMurrayARM marked an inline comment as done.Sep 6 2019, 8:37 AM
ostannard accepted this revision.Sep 9 2019, 1:12 AM

LGTM. Do you have commit access, or should I commit this for you?

This revision is now accepted and ready to land.Sep 9 2019, 1:12 AM
This revision was automatically updated to reflect the committed changes.